Subject: Re: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: Paul Eggert <[email-masked]>
Date: Wed, 27 Sep 2017 13:11:48 -0700

On 09/27/2017 01:00 PM, John Wiegley wrote:
> Is the performance gain worth the change?

It is for applications that heavily use 'format' with the optimized 
cases. For example, on my old desktop (AMD Phenom II X4 910e), the 
proposed patch speeds up the microbenchmark (format "%s" "Hello, 
world!") by a factor of 9. It also causes Emacs to use less RAM, though 
this is harder to measure.

Also, the change simplifies the Emacs source code, and that's a win even 
if the performance gain is small.